> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/internals/system-catalogs/pg_sequence.md).

# 53.47. pg\_sequence

## 53.47. pg\_sequence

The catalog `pg_sequence` contains information about sequences. Some of the information about sequences, such as the name and the schema, is in [`pg_class`](/15/internals/system-catalogs/pg_class.md)

**Table 53.47. `pg_sequence` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                                                                                                                                   |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>seqrelid</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_class.md"><code>pg\_class</code></a>.<code>oid</code>)</p><p>The OID of the <a href="/15/internals/system-catalogs/pg_class.md"><code>pg\_class</code></a> entry for this sequence</p> |
| <p><code>seqtypid</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_type.md"><code>pg\_type</code></a>.<code>oid</code>)</p><p>Data type of the sequence</p>                                                                                               |
| <p><code>seqstart</code> <code>int8</code></p><p>Start value of the sequence</p>                                                                                                                                                                                                       |
| <p><code>seqincrement</code> <code>int8</code></p><p>Increment value of the sequence</p>                                                                                                                                                                                               |
| <p><code>seqmax</code> <code>int8</code></p><p>Maximum value of the sequence</p>                                                                                                                                                                                                       |
| <p><code>seqmin</code> <code>int8</code></p><p>Minimum value of the sequence</p>                                                                                                                                                                                                       |
| <p><code>seqcache</code> <code>int8</code></p><p>Cache size of the sequence</p>                                                                                                                                                                                                        |
| <p><code>seqcycle</code> <code>bool</code></p><p>Whether the sequence cycles</p>                                                                                                                                                                                                       |

***

原文：[PostgreSQL 15.19 Documentation](/15/internals/system-catalogs/pg_sequence.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/internals/system-catalogs/pg_sequence.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
